// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: google/actions/sdk/v2/conversation/prompt/content/link.proto

package conversation

import (
	reflect "reflect"
	sync "sync"

	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

// Different types of url hints.
type UrlHint int32

const (
	// Unspecified
	UrlHint_LINK_UNSPECIFIED UrlHint = 0
	// URL that points directly to AMP content, or to a canonical URL
	// which refers to AMP content via <link rel="amphtml">.
	UrlHint_AMP UrlHint = 1
)

// Enum value maps for UrlHint.
var (
	UrlHint_name = map[int32]string{
		0: "LINK_UNSPECIFIED",
		1: "AMP",
	}
	UrlHint_value = map[string]int32{
		"LINK_UNSPECIFIED": 0,
		"AMP":              1,
	}
)

func (x UrlHint) Enum() *UrlHint {
	p := new(UrlHint)
	*p = x
	return p
}

func (x UrlHint) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (UrlHint) Descriptor() protoreflect.EnumDescriptor {
	return file_google_actions_sdk_v2_conversation_prompt_content_link_proto_enumTypes[0].Descriptor()
}

func (UrlHint) Type() protoreflect.EnumType {
	return &file_google_actions_sdk_v2_conversation_prompt_content_link_proto_enumTypes[0]
}

func (x UrlHint) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use UrlHint.Descriptor instead.
func (UrlHint) EnumDescriptor() ([]byte, []int) {
	return file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescGZIP(), []int{0}
}

// Link content.
type Link struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Name of the link
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// What happens when a user opens the link
	Open *OpenUrl `protobuf:"bytes,2,opt,name=open,proto3" json:"open,omitempty"`
}

func (x *Link) Reset() {
	*x = Link{}
	if protoimpl.UnsafeEnabled {
		mi := &file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Link) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Link) ProtoMessage() {}

func (x *Link) ProtoReflect() protoreflect.Message {
	mi := &file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Link.ProtoReflect.Descriptor instead.
func (*Link) Descriptor() ([]byte, []int) {
	return file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescGZIP(), []int{0}
}

func (x *Link) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Link) GetOpen() *OpenUrl {
	if x != nil {
		return x.Open
	}
	return nil
}

// Action taken when a user opens a link.
type OpenUrl struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The url field which could be any of:
	// - http/https urls for opening an App-linked App or a webpage
	Url string `protobuf:"bytes,1,opt,name=url,proto3" json:"url,omitempty"`
	// Indicates a hint for the url type.
	Hint UrlHint `protobuf:"varint,2,opt,name=hint,proto3,enum=google.actions.sdk.v2.conversation.UrlHint" json:"hint,omitempty"`
}

func (x *OpenUrl) Reset() {
	*x = OpenUrl{}
	if protoimpl.UnsafeEnabled {
		mi := &file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OpenUrl) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OpenUrl) ProtoMessage() {}

func (x *OpenUrl) ProtoReflect() protoreflect.Message {
	mi := &file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OpenUrl.ProtoReflect.Descriptor instead.
func (*OpenUrl) Descriptor() ([]byte, []int) {
	return file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescGZIP(), []int{1}
}

func (x *OpenUrl) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *OpenUrl) GetHint() UrlHint {
	if x != nil {
		return x.Hint
	}
	return UrlHint_LINK_UNSPECIFIED
}

var File_google_actions_sdk_v2_conversation_prompt_content_link_proto protoreflect.FileDescriptor

var file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDesc = []byte{
	0x0a, 0x3c, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x76, 0x32, 0x2f, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x70, 0x72, 0x6f, 0x6d, 0x70, 0x74, 0x2f, 0x63, 0x6f, 0x6e, 0x74,
	0x65, 0x6e, 0x74, 0x2f, 0x6c, 0x69, 0x6e, 0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x22,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x73,
	0x64, 0x6b, 0x2e, 0x76, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x22, 0x5b, 0x0a, 0x04, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x3f,
	0x0a, 0x04, 0x6f, 0x70, 0x65, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x73, 0x64,
	0x6b, 0x2e, 0x76, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x2e, 0x4f, 0x70, 0x65, 0x6e, 0x55, 0x72, 0x6c, 0x52, 0x04, 0x6f, 0x70, 0x65, 0x6e, 0x22,
	0x5c, 0x0a, 0x07, 0x4f, 0x70, 0x65, 0x6e, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x72,
	0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x3f, 0x0a, 0x04,
	0x68, 0x69, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2b, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x73, 0x64, 0x6b, 0x2e,
	0x76, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x55, 0x72, 0x6c, 0x48, 0x69, 0x6e, 0x74, 0x52, 0x04, 0x68, 0x69, 0x6e, 0x74, 0x2a, 0x28, 0x0a,
	0x07, 0x55, 0x72, 0x6c, 0x48, 0x69, 0x6e, 0x74, 0x12, 0x14, 0x0a, 0x10, 0x4c, 0x49, 0x4e, 0x4b,
	0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x07,
	0x0a, 0x03, 0x41, 0x4d, 0x50, 0x10, 0x01, 0x42, 0x85, 0x01, 0x0a, 0x26, 0x63, 0x6f, 0x6d, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x73,
	0x64, 0x6b, 0x2e, 0x76, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x42, 0x09, 0x4c, 0x69, 0x6e, 0x6b, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a,
	0x4e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2e, 0x6f,
	0x72, 0x67, 0x2f, 0x67, 0x65, 0x6e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2f, 0x73,
	0x64, 0x6b, 0x2f, 0x76, 0x32, 0x2f, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x3b, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescOnce sync.Once
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescData = file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDesc
)

func file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescGZIP() []byte {
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescOnce.Do(func() {
		file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescData = protoimpl.X.CompressGZIP(file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescData)
	})
	return file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDescData
}

var file_google_actions_sdk_v2_conversation_prompt_content_link_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_google_actions_sdk_v2_conversation_prompt_content_link_proto_goTypes = []interface{}{
	(UrlHint)(0),    // 0: google.actions.sdk.v2.conversation.UrlHint
	(*Link)(nil),    // 1: google.actions.sdk.v2.conversation.Link
	(*OpenUrl)(nil), // 2: google.actions.sdk.v2.conversation.OpenUrl
}
var file_google_actions_sdk_v2_conversation_prompt_content_link_proto_depIdxs = []int32{
	2, // 0: google.actions.sdk.v2.conversation.Link.open:type_name -> google.actions.sdk.v2.conversation.OpenUrl
	0, // 1: google.actions.sdk.v2.conversation.OpenUrl.hint:type_name -> google.actions.sdk.v2.conversation.UrlHint
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_google_actions_sdk_v2_conversation_prompt_content_link_proto_init() }
func file_google_actions_sdk_v2_conversation_prompt_content_link_proto_init() {
	if File_google_actions_sdk_v2_conversation_prompt_content_link_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Link); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OpenUrl); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_google_actions_sdk_v2_conversation_prompt_content_link_proto_goTypes,
		DependencyIndexes: file_google_actions_sdk_v2_conversation_prompt_content_link_proto_depIdxs,
		EnumInfos:         file_google_actions_sdk_v2_conversation_prompt_content_link_proto_enumTypes,
		MessageInfos:      file_google_actions_sdk_v2_conversation_prompt_content_link_proto_msgTypes,
	}.Build()
	File_google_actions_sdk_v2_conversation_prompt_content_link_proto = out.File
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_rawDesc = nil
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_goTypes = nil
	file_google_actions_sdk_v2_conversation_prompt_content_link_proto_depIdxs = nil
}
